import axios from '@/axios/http';

const URL = {
    payment: 'payment/',
    menu: 'menu/'
}

/** 查询付款，可以带id查询指定
 * @param {Object} params 
 */
export function getPayment(params = {}) {
    let id = params.hasOwnProperty('id') ? params.id : ""
    delete params.id
    return axios({
        url: `${URL.payment}${id}`,
        method: 'get',
        params
    })
}

/** 增加配置
 * @param {Object} data {name:配置名称,code:类型,config:配置字符串}
 */
export function addConfig(data) {
    return axios({
        url: URL.menu,
        method: 'post',
        data
    })
}

/** 获取配置
 * @param {Object} params {id:配置id(空则全部)}
 */
export function getConfig(params = {}) {
    let id = params.hasOwnProperty('id') ? `${params.id}/` : ""
    return axios({
        url: `${URL.menu}${id}`,
        method: 'get'
    })
}

/** 删除配置
 * @param {Object} params {id:配置id}
 */
export function delConfig(params) {
    return axios({
        url: `${URL.menu}${params.id}/`,
        method: 'delete'
    })
}