import axios from 'axios'

// ${process.env.VUE_APP_BASEURL}
axios.defaults.baseURL = `${process.env.VUE_APP_BASE_API}/`
axios.defaults.timeout = 30000

// http request 拦截器
axios.interceptors.request.use(
    config => {
        // console.log('发送请求拦截');
        // console.log('cookie:', document.cookie);
        let csrftoken = ""
        let ArrCookie = document.cookie.split(';')
        ArrCookie.forEach(cookie => {
            if (cookie.split('=')[0] == "csrftoken") {
                csrftoken = cookie.split('=')[1]
                return
            }
        });
        if (csrftoken !== "") {
            config.headers['X-CSRFToken'] = csrftoken
        }

        return config;
    },
    error => {
        return Promise.reject(error.response);
    }
);

axios.interceptors.response.use(
    response => {
        // console.log('接受请求拦截');
        return response;
    },
    err => {
        new Error('列表信息请求错误')
        console.log(err);
    }
)

export default axios