import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

export const constantRoutes = [{
        path: '/',
        name: 'home',
        alias: '主页',
        component: () =>
            import ('@/views/home.vue')
    },
    {
        path: '/hours',
        name: 'hours',
        alias: '我的家',
        component: () =>
            import ('@/views/hours/hours.vue')
    },
    {
        path: '/food',
        name: 'food',
        alias: '菜场',
        component: () =>
            import ('@/views/food/food.vue'),
    },
    {
        path: '/report',
        name: 'report',
        alias: '日报',
        redirect: '/report/list',
        component: () =>
            import ('@/views/report/report.vue'),
        children: [{
                path: 'list',
                name: 'list',
                alias: "列表",
                component: () =>
                    import ('@/views/report/reportList/reportList.vue')
            },
            {
                path: 'detail/:id(\\d+)?',
                name: 'detail',
                alias: "详情与修改",
                component: () =>
                    import ('@/views/report/reportDetail/reportDetail.vue')
            }
        ]
    },
    {
        path: '/dynamicTable',
        name: 'dynamicTable',
        alias: '动态表单',
        component: () =>
            import ('@/views/dynamicTable/dynamicTable.vue')
    },
    {
        path: '/pivottable',
        name: 'pivottable',
        alias: '透视图',
        redirect: '/pivottable/demo1',
        component: () =>
            import ('@/views/pivottable'),
        children: [{
                path: 'demo1',
                name: 'demo1',
                alias: "简单案例",
                component: () =>
                    import ('@/views/pivottable/demo1')
            },
            {
                path: 'c3',
                name: 'c3',
                alias: "c3",
                component: () =>
                    import ('@/views/pivottable/c3')
            },
            {
                path: 'curd',
                name: 'curd',
                alias: "curd",
                component: () =>
                    import ('@/views/pivottable/curd')
            },
        ]
    },
    {
        path: '/echarts',
        name: 'echarts',
        alias: 'Echarts',
        redirect: '/echarts/map',
        component: () =>
            import ('@/views/echarts'),
        children: [{
            path: 'map',
            name: 'map',
            alias: "地图",
            component: () =>
                import ('@/views/echarts/Map.vue')
        }]
    }
]

const router = new VueRouter({
    mode: 'history',
    base: process.env.BASE_URL,
    routes: constantRoutes
})

export default router